## org.beepcore.beep.core
Class BEEPInterruptedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.core.BEEPInterruptedException

All Implemented Interfaces:
  java.io.Serializable

public class BEEPInterruptedException
extends BEEPException

Signals that an I/O operation has been interrupted. An `BEEPInterruptedException` is thrown to indicate that an input or output transfer has been terminated because the thread performing it was terminated. The field `bytesTransferred` indicates how many bytes were successfully transferred before the interruption occurred.

See Also:
  Serialized Form

Field Summary
`int` `bytesTransferred` Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

Constructor Summary
`BEEPInterruptedException(java.lang.String s)` Constructor BEEPException

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bytesTransferred

    public int bytesTransferred

  Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

Constructor Detail

### BEEPInterruptedException

    public BEEPInterruptedException(java.lang.String s)

  Constructor BEEPException

Parameters:
  `s` -

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.